> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Findings

> List Findings



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml get /bundles/{id}/findings
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /bundles/{id}/findings:
    get:
      tags:
        - findings
      summary: List Findings
      description: List Findings
      parameters:
        - description: Limit
          in: query
          name: limit
          schema:
            type: integer
        - description: Offset
          in: query
          name: offset
          schema:
            type: integer
        - description: ID of bundle of the findings to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Order by
          in: query
          name: order_by
          schema:
            type: string
        - description: Search
          in: query
          name: search
          schema:
            type: string
        - description: Status
          in: query
          name: status
          schema:
            type: string
        - description: Policy ID
          in: query
          name: policy_id
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedFindings'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedFindings:
      properties:
        data:
          items:
            $ref: '#/components/schemas/server.ComputedFinding'
          type: array
        meta:
          $ref: '#/components/schemas/guardrails.Meta'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    server.ComputedFinding:
      properties:
        approvalId:
          type: string
        approvalName:
          type: string
        approver:
          $ref: '#/components/schemas/guardrails.FindingUser'
        artifactId:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.FindingUser'
        bundleId:
          type: string
        createdAt:
          type: string
        createdBy:
          type: object
        description:
          type: string
        dueDate:
          type: string
        evidenceId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyName:
          type: string
        required:
          type: boolean
        severity:
          $ref: '#/components/schemas/guardrails.FindingSeverity'
        status:
          $ref: '#/components/schemas/guardrails.FindingStatus'
        taskId:
          type: string
        updatedAt:
          type: string
        updatedBy:
          type: object
      type: object
    guardrails.Meta:
      properties:
        filters:
          items:
            $ref: '#/components/schemas/guardrails.Filter'
          type: array
        pagination:
          $ref: '#/components/schemas/guardrails.Pagination'
        search:
          type: string
        sort:
          items:
            $ref: '#/components/schemas/guardrails.Sorter'
          type: array
      type: object
    guardrails.FindingUser:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.FindingSeverity:
      enum:
        - S0
        - S1
        - S2
        - S3
      type: string
      x-enum-varnames:
        - S0
        - S1
        - S2
        - S3
    guardrails.FindingStatus:
      enum:
        - ToDo
        - InProgress
        - InReview
        - Done
        - WontDo
      type: string
      x-enum-varnames:
        - ToDo
        - InProgress
        - InReview
        - Done
        - WontDo
    guardrails.Filter:
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
      type: object
    guardrails.Pagination:
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
      type: object
    guardrails.Sorter:
      properties:
        key:
          type: string
        order:
          type: string
      type: object

````